#{form @nonlelang.PaketPlCtr.buatPaket(paket.id, paketId), id:'formRUP'}
<input type="hidden" name="id" id="paket" />
<table class="table table-sm table-bordered">
	<tr>
    	<th class="bgwarning">Kode RUP</th>
    	<td><b>${paket?.id}</b></td>
    </tr>
    <tr>
    	<th class="bgwarning">Nama Paket</th>
    	<td><b>${paket?.nama}</b></td>
    </tr>
    <tr>
    	<td class="bgwarning">K/L/PD</td>
    	<td>${satker?.instansi?.nama}</td>
    </tr>
     <tr>
    	<td class="bgwarning">Satuan Kerja</td>
    	<td>${satker?.stk_nama}</td>
    </tr>
     <tr>
    	<td class="bgwarning">Nilai Pagu Paket</td>
    	<td>${paket?.pagu?.rupiah()}</td>
    </tr>
     <tr>
    	<td class="bgwarning">Tahun Anggaran</td>
    	<td>${paket?.tahunAnggaran()}</td>
    </tr>
    <tr>
    	<td class="bgwarning">Jenis Pengadaan</td>
    	<td>${paket?.kategori?.nama}</td>
    </tr>
    <tr>
    	<td class="bgwarning">Anggaran</td>
    	<td><table id="tblSumberAnggaran" class="table table-sm">
	     <tr>
	     	 <td width="30">No</td>
	         <td width="200">&{'paket.sumber_dana'}</td>
	         <td>&{'paket.kode_anggaran'}</td>
	         <td width="150">&{'paket.nilai'}</td>
	      </tr>   
	     #{list items:anggaranList, as:'anggaran'}
	     <tr>
	         <td>${anggaran_index}</td>
	         <td>${anggaran.getSumberDana()?: 'n/a'}</td>
	         <td>${anggaran.mak?: 'n/a'}</td>
	         <td>${anggaran.pagu?.rupiah()?: 'n/a'}</td>
	      </tr>
	      #{/list}
	    </table></td>
    </tr> 
    <!-- <tr>
         <th class="bgwarning">Kepanitiaan</th>
         <td><select name="panitiaId" class="form-control " style="width:400px;" required>
         #{list items:panitiaList, as :'panitia'}
         <option value="${panitia.pnt_id}">${panitia.pnt_nama} - ${panitia.pnt_tahun}</option>
         #{/list}
         </select></td>
    </tr>-->
	#{if paket.paketAnggaranLengkap()}
	<tr>
		<td class="bgwarning">&nbsp;</td>
		<td>
			#{set 'b'} &{'paket.buat_paket'} #{/set}
			#{set 'c'} &{'paket.confirm_paket'} #{/set}
			<span id="btnCreate">#{saveButton title:b, confirm:c/}</span>
			#{if isOSD}<span id="labelCreate" style="font-color:red">&{'paket.tidak_bisa_membuat_paket'}</span>#{/if}
		</td>
	</tr>
	#{/if}
</table>
#{ifnot paket.paketAnggaranLengkap() }
    <div class="bs-callout bs-callout-danger">
		&{'paket.rup_tidak_lengkap'}
    </div>
#{/ifnot}
#{/form}
<script type="text/javascript">
$(document).ready(function(){
	$(".selectpicker").selectpicker('refresh');
});
</script>
*{
#{if isOSD}
<script type="text/javascript">
	var mapPanitia = new Object();
	var mapBuatPaket = new Object();
	#{list items:mapKepanitiaan.keySet(), as :'key'}
	mapPanitia[${key}] = [];
	mapBuatPaket[${key}] = ${mapBuatPaket.get(key)};
	#{list mapKepanitiaan.get(key), as :'panitia'}
	mapPanitia[${key}].push('${panitia.raw()}');
	#{/list}
	#{/list}
	$(document).ready(function(){
		$("select[name=panitiaId]").on('change',function(evt){
			var pntId = $(evt.currentTarget).val();
			changeInfoPanitia(pntId);
		})
		changeInfoPanitia($("select[name=panitiaId]").val());
	});

	function changeInfoPanitia(pntId) {
		var dispText = '<ol>';
		for(var i=0; i<mapPanitia[pntId].length;i++) {
			var item = mapPanitia[pntId][i];
			dispText += '<li>'+item+'</li>';
		}
		dispText == '</ol>';
		$("#anggotaPanitia").html(dispText);
		if(mapBuatPaket[pntId]) {
			$("#btnCreate").show();
			$("#labelCreate").hide();
		} else {
			$("#btnCreate").hide();
			$("#labelCreate").show();
		}
	}
</script>
#{/if}}*
